gtkmm: Gtk::Scrollbar Class Reference

gtkmm 3.5.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Gtk::Scrollbar Class Reference
Widgets

A Scrollbar. More...

Inheritance diagram for Gtk::Scrollbar:
[legend]

List of all members.

## Public Member Functions
virtual | ~Scrollbar ()
GtkScrollbar* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkScrollbar* | gobj () const
| Provides access to the underlying C GtkObject.
| Scrollbar ()
| Scrollbar (const Glib::RefPtr< Adjustment >& adjustment, Orientation orientation=ORIENTATION_HORIZONTAL)
## Related Functions
(Note that these are not member functions.)
Gtk::Scrollbar* | wrap (GtkScrollbar* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Scrollbar.

The Scrollbar widget is a horizontal or vertical scrollbar, depending on the value of the orientation property.

The position of the thumb in a scrollbar is controlled by the scroll adjustments. See Gtk::Adjustment for the fields in an adjustment - for Gtk::Scrollbar, the "value" field represents the position of the scrollbar, which must be between the "lower" field and "upper - page_size." The "page_size" field represents the size of the visible scrollable area. The "step_increment" and "page_increment" fields are used when the user asks to step down (using the small stepper arrows) or page down (using for example the PageDown key).

## Constructor & Destructor Documentation

virtual Gtk::Scrollbar::~Scrollbar | ( |  | ) | `[virtual]`

Gtk::Scrollbar::Scrollbar | ( |  | ) |

Gtk::Scrollbar::Scrollbar | ( | const Glib::RefPtr< Adjustment >& | adjustment,
|  | Orientation | orientation = `ORIENTATION_HORIZONTAL`
| ) |  | `[explicit]`

## Member Function Documentation

GtkScrollbar* Gtk::Scrollbar::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Orientable.

Reimplemented in Gtk::HScrollbar, and Gtk::VScrollbar.

const GtkScrollbar* Gtk::Scrollbar::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Orientable.

Reimplemented in Gtk::HScrollbar, and Gtk::VScrollbar.

## Friends And Related Function Documentation

Gtk::Scrollbar* wrap | ( | GtkScrollbar * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/scrollbar.h